# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/sophgo,cv1800b-codecs.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Sophgo CV1800B Internal ADC/DAC Codec

maintainers:
  - Anton D. Stavinskii <stavinsky@gmail.com>

description:
  Internal ADC and DAC audio codecs integrated in the Sophgo CV1800B SoC.
  Codecs expose a single DAI and are intended to be connected
  to an I2S/TDM controller via an ASoC machine driver.

allOf:
  - $ref: dai-common.yaml#

properties:
  compatible:
    enum:
      - sophgo,cv1800b-sound-adc
      - sophgo,cv1800b-sound-dac

  reg:
    maxItems: 1

  "#sound-dai-cells":
    const: 0

required:
  - compatible
  - reg
  - "#sound-dai-cells"

unevaluatedProperties: false

examples:
  - |
    audio-codec@300a100 {
      compatible = "sophgo,cv1800b-sound-adc";
      reg = <0x0300a100 0x100>;
      #sound-dai-cells = <0>;
    };
...
